package com.hfkj.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * bs_gas_order
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class BsGasOrder implements Serializable {
    /**
     * 主键ID
     */
    private Long id;

    /**
     * 交易订单号
     */
    private String orderNo;

    /**
     * 商品订单号
     */
    private String orderChildNo;

    /**
     * 渠道类型
     */
    private Integer channelType;

    /**
     * 渠道订单号
     */
    private String channelOrderNo;

    /**
     * 代理商id
     */
    private Long agentId;

    /**
     * 代理商名称
     */
    private String agentName;

    /**
     * 业务员id
     */
    private Long agentStaffId;

    /**
     * 业务员名称
     */
    private String agentStaffName;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户手机号
     */
    private String userPhone;

    /**
     * 连锁品牌id
     */
    private Long merChainBrandId;

    /**
     * 连锁品牌名称
     */
    private String merChainBrandName;

    /**
     * 商户id
     */
    private Long merId;

    /**
     * 商户号
     */
    private String merNo;

    /**
     * 商户名称
     */
    private String merName;

    /**
     * 商户地址
     */
    private String merAddress;

    /**
     * 交易总优惠金额（优惠券优惠金额+加油优惠金额)
     */
    private BigDecimal totalDeductionPrice;

    /**
     * 优惠券优惠金额
     */
    private BigDecimal deductionCouponPrice;

    /**
     * 加油优惠金额
     */
    private BigDecimal deductionOilPrice;

    /**
     * 积分抵扣
     */
    private Long payIntegral;

    /**
     * 应付金额
     */
    private BigDecimal payablePrice;

    /**
     * 实付金额
     */
    private BigDecimal actualPayPrice;

    /**
     * 【加油站】加油金额
     */
    private BigDecimal gasRefuelPrice;

    /**
     * 【加油站】油站结算金额
     */
    private BigDecimal gasSettlePrice;

    /**
     * 【加油站】代理商结算金额
     */
    private BigDecimal gasAgentSettlePrice;

    /**
     * 【加油站】加油服务费比例
     */
    private BigDecimal gasServiceFeeRate;

    /**
     * 【加油站】加油服务费金额
     */
    private BigDecimal gasServiceFeePrice;

    /**
     * 【加油站】油号
     */
    private String gasOilNo;

    /**
     * 【加油站】油抢号
     */
    private String gasGunNo;

    /**
     * 【加油站】油品类型 1:汽油:2:柴油;3:天然气
     */
    private Integer gasOilType;

    /**
     * 【加油站】国标价
     */
    private BigDecimal gasPriceOfficial;

    /**
     * 【加油站】油枪价
     */
    private BigDecimal gasPriceGun;

    /**
     * 【加油站】优惠价
     */
    private BigDecimal gasPriceVip;

    /**
     * 【加油站】平台价
     */
    private BigDecimal gasPricePlatform;

    /**
     * 【加油站】成本价
     */
    private BigDecimal gasPriceCost;

    /**
     * 【加油站】加油升数
     */
    private BigDecimal gasOilLiters;

    /**
     * 【加油站】加油折扣
     */
    private BigDecimal gasDiscount;

    /**
     * 【加油站】加油补贴
     */
    private BigDecimal gasOilSubsidy;

    /**
     * 【加油站】每升优惠
     */
    private BigDecimal gasLitersPreferences;

    /**
     * 【加油站】优惠价格
     */
    private BigDecimal gasPricePreferences;

    /**
     * 【加油站】班组id
     */
    private Long gasClassGroupId;

    /**
     * 【加油站】班组名称
     */
    private String gasClassGroupName;

    /**
     * 【加油站】班组任务id
     */
    private Long gasClassGroupTaskId;

    /**
     * 【加油站】加油员id
     */
    private Long gasStaffId;

    /**
     * 【加油站】加油员名称
     */
    private String gasStaffName;

    /**
     * 收据状态：0：未开票   1：处理中   2：开票成功   3：开票失败
     */
    private Integer receiptStatus;

    /**
     * 开票失败备注
     */
    private String receiptFailRemark;

    /**
     * 支付方式： 1：支付宝  2：微信  3：云闪付
     */
    private Integer payType;

    /**
     * 客户支付流水号
     */
    private String paySerialNo;

    /**
     * 支付渠道流水号
     */
    private String payChannelOrderNo;

    /**
     * 订单状态：
1. 待支付  
2. 已支付 
3. 已取消  
4. 已退款
5. 退款中
6. 退款失败
     */
    private Integer status;

    /**
     * 创建方式  1：平台下单  2：API下单
     */
    private Integer createType;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 取消时间
     */
    private Date cancelTime;

    /**
     * 支付时间
     */
    private Date payTime;

    /**
     * 退款时间
     */
    private Date refundTime;

    /**
     * 退款备注
     */
    private String refundRemarks;

    /**
     * 异常状态  0：正常  1：异常
     */
    private Boolean abnormal;

    /**
     * 异常内容
     */
    private String abnormalContent;

    /**
     * 推广
     */
    private Object spread;

    private String ext1;

    private String ext2;

    private String ext3;

    private String ext4;

    private String ext5;

    private String ext6;

    public Object getSpread() {
        return spread;
    }

    public void setSpread(Object spread) {
        this.spread = spread;
    }

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getOrderChildNo() {
        return orderChildNo;
    }

    public void setOrderChildNo(String orderChildNo) {
        this.orderChildNo = orderChildNo;
    }

    public Integer getChannelType() {
        return channelType;
    }

    public void setChannelType(Integer channelType) {
        this.channelType = channelType;
    }

    public String getChannelOrderNo() {
        return channelOrderNo;
    }

    public void setChannelOrderNo(String channelOrderNo) {
        this.channelOrderNo = channelOrderNo;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public Long getAgentStaffId() {
        return agentStaffId;
    }

    public void setAgentStaffId(Long agentStaffId) {
        this.agentStaffId = agentStaffId;
    }

    public String getAgentStaffName() {
        return agentStaffName;
    }

    public void setAgentStaffName(String agentStaffName) {
        this.agentStaffName = agentStaffName;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserPhone() {
        return userPhone;
    }

    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone;
    }

    public Long getMerChainBrandId() {
        return merChainBrandId;
    }

    public void setMerChainBrandId(Long merChainBrandId) {
        this.merChainBrandId = merChainBrandId;
    }

    public String getMerChainBrandName() {
        return merChainBrandName;
    }

    public void setMerChainBrandName(String merChainBrandName) {
        this.merChainBrandName = merChainBrandName;
    }

    public Long getMerId() {
        return merId;
    }

    public void setMerId(Long merId) {
        this.merId = merId;
    }

    public String getMerNo() {
        return merNo;
    }

    public void setMerNo(String merNo) {
        this.merNo = merNo;
    }

    public String getMerName() {
        return merName;
    }

    public void setMerName(String merName) {
        this.merName = merName;
    }

    public String getMerAddress() {
        return merAddress;
    }

    public void setMerAddress(String merAddress) {
        this.merAddress = merAddress;
    }

    public BigDecimal getTotalDeductionPrice() {
        return totalDeductionPrice;
    }

    public void setTotalDeductionPrice(BigDecimal totalDeductionPrice) {
        this.totalDeductionPrice = totalDeductionPrice;
    }

    public BigDecimal getDeductionCouponPrice() {
        return deductionCouponPrice;
    }

    public void setDeductionCouponPrice(BigDecimal deductionCouponPrice) {
        this.deductionCouponPrice = deductionCouponPrice;
    }

    public BigDecimal getDeductionOilPrice() {
        return deductionOilPrice;
    }

    public void setDeductionOilPrice(BigDecimal deductionOilPrice) {
        this.deductionOilPrice = deductionOilPrice;
    }

    public Long getPayIntegral() {
        return payIntegral;
    }

    public void setPayIntegral(Long payIntegral) {
        this.payIntegral = payIntegral;
    }

    public BigDecimal getPayablePrice() {
        return payablePrice;
    }

    public void setPayablePrice(BigDecimal payablePrice) {
        this.payablePrice = payablePrice;
    }

    public BigDecimal getActualPayPrice() {
        return actualPayPrice;
    }

    public void setActualPayPrice(BigDecimal actualPayPrice) {
        this.actualPayPrice = actualPayPrice;
    }

    public BigDecimal getGasRefuelPrice() {
        return gasRefuelPrice;
    }

    public void setGasRefuelPrice(BigDecimal gasRefuelPrice) {
        this.gasRefuelPrice = gasRefuelPrice;
    }

    public BigDecimal getGasSettlePrice() {
        return gasSettlePrice;
    }

    public void setGasSettlePrice(BigDecimal gasSettlePrice) {
        this.gasSettlePrice = gasSettlePrice;
    }

    public BigDecimal getGasAgentSettlePrice() {
        return gasAgentSettlePrice;
    }

    public void setGasAgentSettlePrice(BigDecimal gasAgentSettlePrice) {
        this.gasAgentSettlePrice = gasAgentSettlePrice;
    }

    public BigDecimal getGasServiceFeeRate() {
        return gasServiceFeeRate;
    }

    public void setGasServiceFeeRate(BigDecimal gasServiceFeeRate) {
        this.gasServiceFeeRate = gasServiceFeeRate;
    }

    public BigDecimal getGasServiceFeePrice() {
        return gasServiceFeePrice;
    }

    public void setGasServiceFeePrice(BigDecimal gasServiceFeePrice) {
        this.gasServiceFeePrice = gasServiceFeePrice;
    }

    public String getGasOilNo() {
        return gasOilNo;
    }

    public void setGasOilNo(String gasOilNo) {
        this.gasOilNo = gasOilNo;
    }

    public String getGasGunNo() {
        return gasGunNo;
    }

    public void setGasGunNo(String gasGunNo) {
        this.gasGunNo = gasGunNo;
    }

    public Integer getGasOilType() {
        return gasOilType;
    }

    public void setGasOilType(Integer gasOilType) {
        this.gasOilType = gasOilType;
    }

    public BigDecimal getGasPriceOfficial() {
        return gasPriceOfficial;
    }

    public void setGasPriceOfficial(BigDecimal gasPriceOfficial) {
        this.gasPriceOfficial = gasPriceOfficial;
    }

    public BigDecimal getGasPriceGun() {
        return gasPriceGun;
    }

    public void setGasPriceGun(BigDecimal gasPriceGun) {
        this.gasPriceGun = gasPriceGun;
    }

    public BigDecimal getGasPriceVip() {
        return gasPriceVip;
    }

    public void setGasPriceVip(BigDecimal gasPriceVip) {
        this.gasPriceVip = gasPriceVip;
    }

    public BigDecimal getGasPricePlatform() {
        return gasPricePlatform;
    }

    public void setGasPricePlatform(BigDecimal gasPricePlatform) {
        this.gasPricePlatform = gasPricePlatform;
    }

    public BigDecimal getGasPriceCost() {
        return gasPriceCost;
    }

    public void setGasPriceCost(BigDecimal gasPriceCost) {
        this.gasPriceCost = gasPriceCost;
    }

    public BigDecimal getGasOilLiters() {
        return gasOilLiters;
    }

    public void setGasOilLiters(BigDecimal gasOilLiters) {
        this.gasOilLiters = gasOilLiters;
    }

    public BigDecimal getGasDiscount() {
        return gasDiscount;
    }

    public void setGasDiscount(BigDecimal gasDiscount) {
        this.gasDiscount = gasDiscount;
    }

    public BigDecimal getGasOilSubsidy() {
        return gasOilSubsidy;
    }

    public void setGasOilSubsidy(BigDecimal gasOilSubsidy) {
        this.gasOilSubsidy = gasOilSubsidy;
    }

    public BigDecimal getGasLitersPreferences() {
        return gasLitersPreferences;
    }

    public void setGasLitersPreferences(BigDecimal gasLitersPreferences) {
        this.gasLitersPreferences = gasLitersPreferences;
    }

    public BigDecimal getGasPricePreferences() {
        return gasPricePreferences;
    }

    public void setGasPricePreferences(BigDecimal gasPricePreferences) {
        this.gasPricePreferences = gasPricePreferences;
    }

    public Long getGasClassGroupId() {
        return gasClassGroupId;
    }

    public void setGasClassGroupId(Long gasClassGroupId) {
        this.gasClassGroupId = gasClassGroupId;
    }

    public String getGasClassGroupName() {
        return gasClassGroupName;
    }

    public void setGasClassGroupName(String gasClassGroupName) {
        this.gasClassGroupName = gasClassGroupName;
    }

    public Long getGasClassGroupTaskId() {
        return gasClassGroupTaskId;
    }

    public void setGasClassGroupTaskId(Long gasClassGroupTaskId) {
        this.gasClassGroupTaskId = gasClassGroupTaskId;
    }

    public Long getGasStaffId() {
        return gasStaffId;
    }

    public void setGasStaffId(Long gasStaffId) {
        this.gasStaffId = gasStaffId;
    }

    public String getGasStaffName() {
        return gasStaffName;
    }

    public void setGasStaffName(String gasStaffName) {
        this.gasStaffName = gasStaffName;
    }

    public Integer getReceiptStatus() {
        return receiptStatus;
    }

    public void setReceiptStatus(Integer receiptStatus) {
        this.receiptStatus = receiptStatus;
    }

    public String getReceiptFailRemark() {
        return receiptFailRemark;
    }

    public void setReceiptFailRemark(String receiptFailRemark) {
        this.receiptFailRemark = receiptFailRemark;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public String getPaySerialNo() {
        return paySerialNo;
    }

    public void setPaySerialNo(String paySerialNo) {
        this.paySerialNo = paySerialNo;
    }

    public String getPayChannelOrderNo() {
        return payChannelOrderNo;
    }

    public void setPayChannelOrderNo(String payChannelOrderNo) {
        this.payChannelOrderNo = payChannelOrderNo;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getCreateType() {
        return createType;
    }

    public void setCreateType(Integer createType) {
        this.createType = createType;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getCancelTime() {
        return cancelTime;
    }

    public void setCancelTime(Date cancelTime) {
        this.cancelTime = cancelTime;
    }

    public Date getPayTime() {
        return payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    public Date getRefundTime() {
        return refundTime;
    }

    public void setRefundTime(Date refundTime) {
        this.refundTime = refundTime;
    }

    public String getRefundRemarks() {
        return refundRemarks;
    }

    public void setRefundRemarks(String refundRemarks) {
        this.refundRemarks = refundRemarks;
    }

    public Boolean getAbnormal() {
        return abnormal;
    }

    public void setAbnormal(Boolean abnormal) {
        this.abnormal = abnormal;
    }

    public String getAbnormalContent() {
        return abnormalContent;
    }

    public void setAbnormalContent(String abnormalContent) {
        this.abnormalContent = abnormalContent;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    public String getExt4() {
        return ext4;
    }

    public void setExt4(String ext4) {
        this.ext4 = ext4;
    }

    public String getExt5() {
        return ext5;
    }

    public void setExt5(String ext5) {
        this.ext5 = ext5;
    }

    public String getExt6() {
        return ext6;
    }

    public void setExt6(String ext6) {
        this.ext6 = ext6;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BsGasOrder other = (BsGasOrder) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getOrderNo() == null ? other.getOrderNo() == null : this.getOrderNo().equals(other.getOrderNo()))
            && (this.getOrderChildNo() == null ? other.getOrderChildNo() == null : this.getOrderChildNo().equals(other.getOrderChildNo()))
            && (this.getChannelType() == null ? other.getChannelType() == null : this.getChannelType().equals(other.getChannelType()))
            && (this.getChannelOrderNo() == null ? other.getChannelOrderNo() == null : this.getChannelOrderNo().equals(other.getChannelOrderNo()))
            && (this.getAgentId() == null ? other.getAgentId() == null : this.getAgentId().equals(other.getAgentId()))
            && (this.getAgentName() == null ? other.getAgentName() == null : this.getAgentName().equals(other.getAgentName()))
            && (this.getAgentStaffId() == null ? other.getAgentStaffId() == null : this.getAgentStaffId().equals(other.getAgentStaffId()))
            && (this.getAgentStaffName() == null ? other.getAgentStaffName() == null : this.getAgentStaffName().equals(other.getAgentStaffName()))
            && (this.getUserId() == null ? other.getUserId() == null : this.getUserId().equals(other.getUserId()))
            && (this.getUserPhone() == null ? other.getUserPhone() == null : this.getUserPhone().equals(other.getUserPhone()))
            && (this.getMerChainBrandId() == null ? other.getMerChainBrandId() == null : this.getMerChainBrandId().equals(other.getMerChainBrandId()))
            && (this.getMerChainBrandName() == null ? other.getMerChainBrandName() == null : this.getMerChainBrandName().equals(other.getMerChainBrandName()))
            && (this.getMerId() == null ? other.getMerId() == null : this.getMerId().equals(other.getMerId()))
            && (this.getMerNo() == null ? other.getMerNo() == null : this.getMerNo().equals(other.getMerNo()))
            && (this.getMerName() == null ? other.getMerName() == null : this.getMerName().equals(other.getMerName()))
            && (this.getMerAddress() == null ? other.getMerAddress() == null : this.getMerAddress().equals(other.getMerAddress()))
            && (this.getTotalDeductionPrice() == null ? other.getTotalDeductionPrice() == null : this.getTotalDeductionPrice().equals(other.getTotalDeductionPrice()))
            && (this.getDeductionCouponPrice() == null ? other.getDeductionCouponPrice() == null : this.getDeductionCouponPrice().equals(other.getDeductionCouponPrice()))
            && (this.getDeductionOilPrice() == null ? other.getDeductionOilPrice() == null : this.getDeductionOilPrice().equals(other.getDeductionOilPrice()))
            && (this.getPayIntegral() == null ? other.getPayIntegral() == null : this.getPayIntegral().equals(other.getPayIntegral()))
            && (this.getPayablePrice() == null ? other.getPayablePrice() == null : this.getPayablePrice().equals(other.getPayablePrice()))
            && (this.getActualPayPrice() == null ? other.getActualPayPrice() == null : this.getActualPayPrice().equals(other.getActualPayPrice()))
            && (this.getGasRefuelPrice() == null ? other.getGasRefuelPrice() == null : this.getGasRefuelPrice().equals(other.getGasRefuelPrice()))
            && (this.getGasSettlePrice() == null ? other.getGasSettlePrice() == null : this.getGasSettlePrice().equals(other.getGasSettlePrice()))
            && (this.getGasAgentSettlePrice() == null ? other.getGasAgentSettlePrice() == null : this.getGasAgentSettlePrice().equals(other.getGasAgentSettlePrice()))
            && (this.getGasServiceFeeRate() == null ? other.getGasServiceFeeRate() == null : this.getGasServiceFeeRate().equals(other.getGasServiceFeeRate()))
            && (this.getGasServiceFeePrice() == null ? other.getGasServiceFeePrice() == null : this.getGasServiceFeePrice().equals(other.getGasServiceFeePrice()))
            && (this.getGasOilNo() == null ? other.getGasOilNo() == null : this.getGasOilNo().equals(other.getGasOilNo()))
            && (this.getGasGunNo() == null ? other.getGasGunNo() == null : this.getGasGunNo().equals(other.getGasGunNo()))
            && (this.getGasOilType() == null ? other.getGasOilType() == null : this.getGasOilType().equals(other.getGasOilType()))
            && (this.getGasPriceOfficial() == null ? other.getGasPriceOfficial() == null : this.getGasPriceOfficial().equals(other.getGasPriceOfficial()))
            && (this.getGasPriceGun() == null ? other.getGasPriceGun() == null : this.getGasPriceGun().equals(other.getGasPriceGun()))
            && (this.getGasPriceVip() == null ? other.getGasPriceVip() == null : this.getGasPriceVip().equals(other.getGasPriceVip()))
            && (this.getGasPricePlatform() == null ? other.getGasPricePlatform() == null : this.getGasPricePlatform().equals(other.getGasPricePlatform()))
            && (this.getGasPriceCost() == null ? other.getGasPriceCost() == null : this.getGasPriceCost().equals(other.getGasPriceCost()))
            && (this.getGasOilLiters() == null ? other.getGasOilLiters() == null : this.getGasOilLiters().equals(other.getGasOilLiters()))
            && (this.getGasDiscount() == null ? other.getGasDiscount() == null : this.getGasDiscount().equals(other.getGasDiscount()))
            && (this.getGasOilSubsidy() == null ? other.getGasOilSubsidy() == null : this.getGasOilSubsidy().equals(other.getGasOilSubsidy()))
            && (this.getGasLitersPreferences() == null ? other.getGasLitersPreferences() == null : this.getGasLitersPreferences().equals(other.getGasLitersPreferences()))
            && (this.getGasPricePreferences() == null ? other.getGasPricePreferences() == null : this.getGasPricePreferences().equals(other.getGasPricePreferences()))
            && (this.getGasClassGroupId() == null ? other.getGasClassGroupId() == null : this.getGasClassGroupId().equals(other.getGasClassGroupId()))
            && (this.getGasClassGroupName() == null ? other.getGasClassGroupName() == null : this.getGasClassGroupName().equals(other.getGasClassGroupName()))
            && (this.getGasClassGroupTaskId() == null ? other.getGasClassGroupTaskId() == null : this.getGasClassGroupTaskId().equals(other.getGasClassGroupTaskId()))
            && (this.getGasStaffId() == null ? other.getGasStaffId() == null : this.getGasStaffId().equals(other.getGasStaffId()))
            && (this.getGasStaffName() == null ? other.getGasStaffName() == null : this.getGasStaffName().equals(other.getGasStaffName()))
            && (this.getReceiptStatus() == null ? other.getReceiptStatus() == null : this.getReceiptStatus().equals(other.getReceiptStatus()))
            && (this.getReceiptFailRemark() == null ? other.getReceiptFailRemark() == null : this.getReceiptFailRemark().equals(other.getReceiptFailRemark()))
            && (this.getPayType() == null ? other.getPayType() == null : this.getPayType().equals(other.getPayType()))
            && (this.getPaySerialNo() == null ? other.getPaySerialNo() == null : this.getPaySerialNo().equals(other.getPaySerialNo()))
            && (this.getPayChannelOrderNo() == null ? other.getPayChannelOrderNo() == null : this.getPayChannelOrderNo().equals(other.getPayChannelOrderNo()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getCreateType() == null ? other.getCreateType() == null : this.getCreateType().equals(other.getCreateType()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getCancelTime() == null ? other.getCancelTime() == null : this.getCancelTime().equals(other.getCancelTime()))
            && (this.getPayTime() == null ? other.getPayTime() == null : this.getPayTime().equals(other.getPayTime()))
            && (this.getRefundTime() == null ? other.getRefundTime() == null : this.getRefundTime().equals(other.getRefundTime()))
            && (this.getRefundRemarks() == null ? other.getRefundRemarks() == null : this.getRefundRemarks().equals(other.getRefundRemarks()))
            && (this.getAbnormal() == null ? other.getAbnormal() == null : this.getAbnormal().equals(other.getAbnormal()))
            && (this.getAbnormalContent() == null ? other.getAbnormalContent() == null : this.getAbnormalContent().equals(other.getAbnormalContent()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()))
            && (this.getExt4() == null ? other.getExt4() == null : this.getExt4().equals(other.getExt4()))
            && (this.getExt5() == null ? other.getExt5() == null : this.getExt5().equals(other.getExt5()))
            && (this.getExt6() == null ? other.getExt6() == null : this.getExt6().equals(other.getExt6()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getOrderNo() == null) ? 0 : getOrderNo().hashCode());
        result = prime * result + ((getOrderChildNo() == null) ? 0 : getOrderChildNo().hashCode());
        result = prime * result + ((getChannelType() == null) ? 0 : getChannelType().hashCode());
        result = prime * result + ((getChannelOrderNo() == null) ? 0 : getChannelOrderNo().hashCode());
        result = prime * result + ((getAgentId() == null) ? 0 : getAgentId().hashCode());
        result = prime * result + ((getAgentName() == null) ? 0 : getAgentName().hashCode());
        result = prime * result + ((getAgentStaffId() == null) ? 0 : getAgentStaffId().hashCode());
        result = prime * result + ((getAgentStaffName() == null) ? 0 : getAgentStaffName().hashCode());
        result = prime * result + ((getUserId() == null) ? 0 : getUserId().hashCode());
        result = prime * result + ((getUserPhone() == null) ? 0 : getUserPhone().hashCode());
        result = prime * result + ((getMerChainBrandId() == null) ? 0 : getMerChainBrandId().hashCode());
        result = prime * result + ((getMerChainBrandName() == null) ? 0 : getMerChainBrandName().hashCode());
        result = prime * result + ((getMerId() == null) ? 0 : getMerId().hashCode());
        result = prime * result + ((getMerNo() == null) ? 0 : getMerNo().hashCode());
        result = prime * result + ((getMerName() == null) ? 0 : getMerName().hashCode());
        result = prime * result + ((getMerAddress() == null) ? 0 : getMerAddress().hashCode());
        result = prime * result + ((getTotalDeductionPrice() == null) ? 0 : getTotalDeductionPrice().hashCode());
        result = prime * result + ((getDeductionCouponPrice() == null) ? 0 : getDeductionCouponPrice().hashCode());
        result = prime * result + ((getDeductionOilPrice() == null) ? 0 : getDeductionOilPrice().hashCode());
        result = prime * result + ((getPayIntegral() == null) ? 0 : getPayIntegral().hashCode());
        result = prime * result + ((getPayablePrice() == null) ? 0 : getPayablePrice().hashCode());
        result = prime * result + ((getActualPayPrice() == null) ? 0 : getActualPayPrice().hashCode());
        result = prime * result + ((getGasRefuelPrice() == null) ? 0 : getGasRefuelPrice().hashCode());
        result = prime * result + ((getGasSettlePrice() == null) ? 0 : getGasSettlePrice().hashCode());
        result = prime * result + ((getGasAgentSettlePrice() == null) ? 0 : getGasAgentSettlePrice().hashCode());
        result = prime * result + ((getGasServiceFeeRate() == null) ? 0 : getGasServiceFeeRate().hashCode());
        result = prime * result + ((getGasServiceFeePrice() == null) ? 0 : getGasServiceFeePrice().hashCode());
        result = prime * result + ((getGasOilNo() == null) ? 0 : getGasOilNo().hashCode());
        result = prime * result + ((getGasGunNo() == null) ? 0 : getGasGunNo().hashCode());
        result = prime * result + ((getGasOilType() == null) ? 0 : getGasOilType().hashCode());
        result = prime * result + ((getGasPriceOfficial() == null) ? 0 : getGasPriceOfficial().hashCode());
        result = prime * result + ((getGasPriceGun() == null) ? 0 : getGasPriceGun().hashCode());
        result = prime * result + ((getGasPriceVip() == null) ? 0 : getGasPriceVip().hashCode());
        result = prime * result + ((getGasPricePlatform() == null) ? 0 : getGasPricePlatform().hashCode());
        result = prime * result + ((getGasPriceCost() == null) ? 0 : getGasPriceCost().hashCode());
        result = prime * result + ((getGasOilLiters() == null) ? 0 : getGasOilLiters().hashCode());
        result = prime * result + ((getGasDiscount() == null) ? 0 : getGasDiscount().hashCode());
        result = prime * result + ((getGasOilSubsidy() == null) ? 0 : getGasOilSubsidy().hashCode());
        result = prime * result + ((getGasLitersPreferences() == null) ? 0 : getGasLitersPreferences().hashCode());
        result = prime * result + ((getGasPricePreferences() == null) ? 0 : getGasPricePreferences().hashCode());
        result = prime * result + ((getGasClassGroupId() == null) ? 0 : getGasClassGroupId().hashCode());
        result = prime * result + ((getGasClassGroupName() == null) ? 0 : getGasClassGroupName().hashCode());
        result = prime * result + ((getGasClassGroupTaskId() == null) ? 0 : getGasClassGroupTaskId().hashCode());
        result = prime * result + ((getGasStaffId() == null) ? 0 : getGasStaffId().hashCode());
        result = prime * result + ((getGasStaffName() == null) ? 0 : getGasStaffName().hashCode());
        result = prime * result + ((getReceiptStatus() == null) ? 0 : getReceiptStatus().hashCode());
        result = prime * result + ((getReceiptFailRemark() == null) ? 0 : getReceiptFailRemark().hashCode());
        result = prime * result + ((getPayType() == null) ? 0 : getPayType().hashCode());
        result = prime * result + ((getPaySerialNo() == null) ? 0 : getPaySerialNo().hashCode());
        result = prime * result + ((getPayChannelOrderNo() == null) ? 0 : getPayChannelOrderNo().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getCreateType() == null) ? 0 : getCreateType().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getCancelTime() == null) ? 0 : getCancelTime().hashCode());
        result = prime * result + ((getPayTime() == null) ? 0 : getPayTime().hashCode());
        result = prime * result + ((getRefundTime() == null) ? 0 : getRefundTime().hashCode());
        result = prime * result + ((getRefundRemarks() == null) ? 0 : getRefundRemarks().hashCode());
        result = prime * result + ((getAbnormal() == null) ? 0 : getAbnormal().hashCode());
        result = prime * result + ((getAbnormalContent() == null) ? 0 : getAbnormalContent().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        result = prime * result + ((getExt4() == null) ? 0 : getExt4().hashCode());
        result = prime * result + ((getExt5() == null) ? 0 : getExt5().hashCode());
        result = prime * result + ((getExt6() == null) ? 0 : getExt6().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", orderNo=").append(orderNo);
        sb.append(", orderChildNo=").append(orderChildNo);
        sb.append(", channelType=").append(channelType);
        sb.append(", channelOrderNo=").append(channelOrderNo);
        sb.append(", agentId=").append(agentId);
        sb.append(", agentName=").append(agentName);
        sb.append(", agentStaffId=").append(agentStaffId);
        sb.append(", agentStaffName=").append(agentStaffName);
        sb.append(", userId=").append(userId);
        sb.append(", userPhone=").append(userPhone);
        sb.append(", merChainBrandId=").append(merChainBrandId);
        sb.append(", merChainBrandName=").append(merChainBrandName);
        sb.append(", merId=").append(merId);
        sb.append(", merNo=").append(merNo);
        sb.append(", merName=").append(merName);
        sb.append(", merAddress=").append(merAddress);
        sb.append(", totalDeductionPrice=").append(totalDeductionPrice);
        sb.append(", deductionCouponPrice=").append(deductionCouponPrice);
        sb.append(", deductionOilPrice=").append(deductionOilPrice);
        sb.append(", payIntegral=").append(payIntegral);
        sb.append(", payablePrice=").append(payablePrice);
        sb.append(", actualPayPrice=").append(actualPayPrice);
        sb.append(", gasRefuelPrice=").append(gasRefuelPrice);
        sb.append(", gasSettlePrice=").append(gasSettlePrice);
        sb.append(", gasAgentSettlePrice=").append(gasAgentSettlePrice);
        sb.append(", gasServiceFeeRate=").append(gasServiceFeeRate);
        sb.append(", gasServiceFeePrice=").append(gasServiceFeePrice);
        sb.append(", gasOilNo=").append(gasOilNo);
        sb.append(", gasGunNo=").append(gasGunNo);
        sb.append(", gasOilType=").append(gasOilType);
        sb.append(", gasPriceOfficial=").append(gasPriceOfficial);
        sb.append(", gasPriceGun=").append(gasPriceGun);
        sb.append(", gasPriceVip=").append(gasPriceVip);
        sb.append(", gasPricePlatform=").append(gasPricePlatform);
        sb.append(", gasPriceCost=").append(gasPriceCost);
        sb.append(", gasOilLiters=").append(gasOilLiters);
        sb.append(", gasDiscount=").append(gasDiscount);
        sb.append(", gasOilSubsidy=").append(gasOilSubsidy);
        sb.append(", gasLitersPreferences=").append(gasLitersPreferences);
        sb.append(", gasPricePreferences=").append(gasPricePreferences);
        sb.append(", gasClassGroupId=").append(gasClassGroupId);
        sb.append(", gasClassGroupName=").append(gasClassGroupName);
        sb.append(", gasClassGroupTaskId=").append(gasClassGroupTaskId);
        sb.append(", gasStaffId=").append(gasStaffId);
        sb.append(", gasStaffName=").append(gasStaffName);
        sb.append(", receiptStatus=").append(receiptStatus);
        sb.append(", receiptFailRemark=").append(receiptFailRemark);
        sb.append(", payType=").append(payType);
        sb.append(", paySerialNo=").append(paySerialNo);
        sb.append(", payChannelOrderNo=").append(payChannelOrderNo);
        sb.append(", status=").append(status);
        sb.append(", createType=").append(createType);
        sb.append(", createTime=").append(createTime);
        sb.append(", cancelTime=").append(cancelTime);
        sb.append(", payTime=").append(payTime);
        sb.append(", refundTime=").append(refundTime);
        sb.append(", refundRemarks=").append(refundRemarks);
        sb.append(", abnormal=").append(abnormal);
        sb.append(", abnormalContent=").append(abnormalContent);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", ext4=").append(ext4);
        sb.append(", ext5=").append(ext5);
        sb.append(", ext6=").append(ext6);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}
